<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [ProcessInfo](./bitburner.processinfo.md)

## ProcessInfo interface

A single process on a server.

<b>Signature:</b>

```typescript
export interface ProcessInfo 
```

## Properties

|  Property | Type | Description |
|  --- | --- | --- |
|  [args](./bitburner.processinfo.args.md) | string\[\] | Script's arguments |
|  [filename](./bitburner.processinfo.filename.md) | string | Script name. |
|  [pid](./bitburner.processinfo.pid.md) | number | Process ID |
|  [threads](./bitburner.processinfo.threads.md) | number | Number of threads script is running with |

